#!/bin/sh

icons=
rsvg-convert -h 1024 -w 1024 octave-logo.svg > octave-logo-1024.png
rsvg-convert -h 512 -w 512 octave-logo.svg > octave-logo-512.png
for size in 256 128 96 64 48 32 24 22 20 16 14 10 8; do
  rsvg-convert -h $size -w $size octave-logo.svg > octave-logo-$size.png
  icons="$icons octave-logo-$size.png"
done
icotool -c $icons > octave-logo1.ico
icotool -c --raw $icons > octave-logo2.ico
